> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/currency-api/currency/create-currency.md).

# Create currency

## Creates a new currency.

> Accepts multipart form data with a currency payload and an icon file.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5843-g491c2e59"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/exchange/currencies":{"post":{"tags":["Currencies"],"summary":"Creates a new currency.","description":"Accepts multipart form data with a currency payload and an icon file.","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"currency":{"type":"object","properties":{"Currency.Node.Name":{"type":"string"},"Currency.Node.Children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"}},"Currency.Path":{"type":"string"},"Currency.Data.Id":{"type":"string","description":"The unique identifier of the currency."},"Currency.Data.Name":{"type":"string","description":"The name of the currency."},"Currency.Data.Code":{"type":"string","description":"The ISO code of currency"},"Currency.Data.Precision":{"type":"integer","description":"Precision of the currency","format":"int32"},"Currency.Data.Statistics.SellerCount":{"type":"integer","description":"Number of sellers using currency","format":"int32"},"Currency.Data.Statistics.PairCount":{"type":"integer","description":"Number of pairs","format":"int32"},"Currency.Data.Status":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatus"}],"description":"The current status of the currency."},"Currency.Data.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Currency.Data.Icon":{"type":"string"},"Currency.Data.Revision":{"type":"integer","format":"int32"},"Currency.Data.Audit.Deleted.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Deleted.ById":{"type":"string"},"Currency.Data.Audit.Deleted.By.Type":{"allOf":[{"$ref":"#/components/schemas/IdentityType"}]},"Currency.Data.Audit.Deleted.By.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Currency.Data.Audit.Deleted.By.Name":{"type":"string"},"Currency.Data.Audit.Deleted.By.Icon":{"type":"string"},"Currency.Data.Audit.Deleted.By.Revision":{"type":"integer","format":"int32"},"Currency.Data.Audit.Deleted.By.Audit.Created.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Deleted.By.Audit.Created.ById":{"type":"string"},"Currency.Data.Audit.Deleted.By.Audit.Created.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Deleted.By.Audit.Updated.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Deleted.By.Audit.Updated.ById":{"type":"string"},"Currency.Data.Audit.Deleted.By.Audit.Updated.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Deleted.By.Id":{"type":"string"},"Currency.Data.Audit.Created.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Created.ById":{"type":"string"},"Currency.Data.Audit.Created.By.Type":{"allOf":[{"$ref":"#/components/schemas/IdentityType"}]},"Currency.Data.Audit.Created.By.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Currency.Data.Audit.Created.By.Name":{"type":"string"},"Currency.Data.Audit.Created.By.Icon":{"type":"string"},"Currency.Data.Audit.Created.By.Revision":{"type":"integer","format":"int32"},"Currency.Data.Audit.Created.By.Audit.Created.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Created.By.Audit.Created.ById":{"type":"string"},"Currency.Data.Audit.Created.By.Audit.Created.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Created.By.Audit.Updated.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Created.By.Audit.Updated.ById":{"type":"string"},"Currency.Data.Audit.Created.By.Audit.Updated.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Created.By.Id":{"type":"string"},"Currency.Data.Audit.Updated.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Updated.ById":{"type":"string"},"Currency.Data.Audit.Updated.By.Type":{"allOf":[{"$ref":"#/components/schemas/IdentityType"}]},"Currency.Data.Audit.Updated.By.Metadata.OmittedProperties":{"type":"array","items":{"type":"string"}},"Currency.Data.Audit.Updated.By.Name":{"type":"string"},"Currency.Data.Audit.Updated.By.Icon":{"type":"string"},"Currency.Data.Audit.Updated.By.Revision":{"type":"integer","format":"int32"},"Currency.Data.Audit.Updated.By.Audit.Created.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Updated.By.Audit.Created.ById":{"type":"string"},"Currency.Data.Audit.Updated.By.Audit.Created.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Updated.By.Audit.Updated.At":{"type":"string","format":"date-time"},"Currency.Data.Audit.Updated.By.Audit.Updated.ById":{"type":"string"},"Currency.Data.Audit.Updated.By.Audit.Updated.By":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}]},"Currency.Data.Audit.Updated.By.Id":{"type":"string"},"Currency.IsDefined":{"type":"boolean"}},"description":"Json representation of the currency"},"icon":{"type":"string","description":"Icon for the new currency","format":"binary"}}},"encoding":{"currency":{"contentType":"application/json"},"icon":{"contentType":"application/octet-stream"}}},"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyDelta"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Currency"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"DeltaNode":{"type":"object","properties":{"name":{"type":"string"},"children":{"type":"array","items":{"$ref":"#/components/schemas/DeltaNode"},"readOnly":true}},"additionalProperties":false},"CurrencyStatus":{"enum":["Active","Deleted"],"type":"string","description":"Currency status enumeration"},"IdentityType":{"enum":["User","ApiToken","Service","Extension"],"type":"string"},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CurrencyDelta":{"type":"object","properties":{"node":{"allOf":[{"$ref":"#/components/schemas/DeltaNode"}],"nullable":true},"path":{"type":"string"},"data":{"allOf":[{"$ref":"#/components/schemas/Currency"}],"description":"Represents currency in exchange module.","nullable":true,"readOnly":true},"isDefined":{"type":"boolean","readOnly":true}},"additionalProperties":false},"Currency":{"type":"object","properties":{"audit":{"allOf":[{"$ref":"#/components/schemas/ExchangeAudit"}],"description":"Exchange Entity Audit properties bag"},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"id":{"type":"string","description":"The unique identifier of the currency."},"name":{"type":"string","description":"The name of the currency."},"code":{"type":"string","description":"The ISO code of currency"},"precision":{"type":"integer","description":"Precision of the currency","format":"int32"},"statistics":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatistics"}],"description":"Currency statistics"},"status":{"allOf":[{"$ref":"#/components/schemas/CurrencyStatus"}],"description":"The current status of the currency."}},"additionalProperties":false,"description":"Represents currency in exchange module."},"ExchangeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"description":"Delete event details","nullable":true}},"additionalProperties":false,"description":"Exchange Entity Audit properties bag"},"CurrencyStatistics":{"type":"object","properties":{"sellerCount":{"type":"integer","description":"Number of sellers using currency","format":"int32"},"pairCount":{"type":"integer","description":"Number of pairs","format":"int32"}},"additionalProperties":false,"description":"Currency usage statistics"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/currency-api/currency/create-currency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
